//Main Web Page 
const char *Main_Html = R"====(
<!doctype html>
  <head>
    <title>F1ATB - ESP8266 Relay Control</title>
    <style>
      body { background: linear-gradient(#eef,#77b5fe,#0f056b);background-attachment:fixed;text-align:center; font-size:150%;}
      .ri{margin-top:100px;width:100%;text-align:right;}
      input{font-size:200%;border:outset 3px grey;}
    </style>
    <script>
      function Send(S){
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
          if (this.readyState == 4 && this.status == 200) {
            var retour=this.responseText;
          }
        };
        xhttp.open('GET', 'Relay?R='+S, true);
        xhttp.send();
      }
  </script>
  </head>
  <body>
    <h1>Hello from ESP8266! Relay control</h1>
    <p><input type='button' value='Relay Off' onclick='Send(0)'> <input type='button' value='Relay On' onclick='Send(1)'></p>
    <div class="ri"><a href="/Debug">Debug</a></div>
  </body>
</html>
)====";
//Web Page connected in 'Acces Point' to define Wifi SSID and PAssword
//Page de connexion 'Acces Point' pour définir réseau WIFI
const char *ConnectAP_Html = R"====(
<!doctype html>
<html><head><style>
body {font-size:150%;text-align:center;width:1000px;margin:auto;background: background: linear-gradient(#eef,#77b5fe,#0f056b);background-attachment:fixed;}
form {margin:auto;padding:10px;}
form.form-example {display: table;text-align:left;}
div.form-example {display: table-row;padding:10px;}
label,input {display: table-cell;margin: 10px;text-align:left;font-size:120%;}
.ri{margin-top:100px;width:100%;text-align:right;}
</style></head>
<body>
<h1>ESP 8266</h1><h4>Connection to Local WiFi / Connexion au r&eacute;seau WIFI local</h4>
<form action='' method='get' >
<div class='form-example'>
<label for='ssid'>WiFi name or SSID / Nom du r&eacute;seau WIFI ou SSID : </label>
<input type='text' name='ssid' id='ssid' required>
</div>
<div class='form-example'>
<label for='passe'>WiFi password / Mot de passe du r&eacute;seau : </label>
<input type='password' name='passe' id='passe' required>
</div>
<div  style='text-align:right;padding-top:20px;'>
<input type='submit' value='Envoyer' >
<div class="ri"><a href="/Debug">Debug</a></div>
</div>
</form>
</body></html>
)====";
//Switch Wifi Web Page 
const char *SwitchWifi_Html = R"====(
<!doctype html>
  <head>
    <title>F1ATB - ESP8266 Relay Control</title>
  </head>
  <body>
    <h1>Switch to WiFi network : SSID</h1>    
  </body>
</html>
)====";